
package ws.corporativogpv.mx.servicios;

import com.mx.sivale.config.WsdlConfig;
import org.apache.log4j.Logger;
import ws.sivale.com.mx.exposition.servicios.apps.ServiciosApps;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;

import static com.mx.sivale.config.constants.ConstantConfiguration.*;

/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 *
 */
@WebServiceClient(name = SERVICE_GPV, targetNamespace = WS_NAMESPACE_GPV)
public class SI01CORELegadosReqSyncOutService
        extends Service
{

    private static final Logger log = Logger.getLogger(SI01CORELegadosReqSyncOutService.class);
    private final static URL SI01CORELEGADOSREQSYNCOUTSERVICE_WSDL_LOCATION;
    private final static WebServiceException SI01CORELEGADOSREQSYNCOUTSERVICE_EXCEPTION;
    private final static QName SI01CORELEGADOSREQSYNCOUTSERVICE_QNAME = new QName(WS_NAMESPACE_GPV, SERVICE_GPV);

    static {

//        java.net.Authenticator.setDefault(new java.net.Authenticator() {
//
//            @Override
//            protected java.net.PasswordAuthentication getPasswordAuthentication() {
//                return new java.net.PasswordAuthentication(WsdlConfig.PROP_WS_GPV_USER, WsdlConfig.PROP_WS_GPV_PASS.toCharArray());
//            }
//        });

        URL url = null;
        WebServiceException e = null;

        try {
//            String urlServicios = WsdlConfig.WS_URL_GPV;
//            url = new URL(urlServicios);

            url = ClassLoader.getSystemResource(URL_SERVICE_GPV_RESOURCES);

//        } catch (MalformedURLException ex) {
//            e = new WebServiceException(ex);
        } catch (Exception ex) {
            e = new WebServiceException(ex);
        }

        SI01CORELEGADOSREQSYNCOUTSERVICE_WSDL_LOCATION = url;
        SI01CORELEGADOSREQSYNCOUTSERVICE_EXCEPTION = e;

    }

    public SI01CORELegadosReqSyncOutService() {
        super(__getWsdlLocation(), SI01CORELEGADOSREQSYNCOUTSERVICE_QNAME);
    }

    public SI01CORELegadosReqSyncOutService(WebServiceFeature... features) {
        super(__getWsdlLocation(), SI01CORELEGADOSREQSYNCOUTSERVICE_QNAME, features);
    }

    public SI01CORELegadosReqSyncOutService(URL wsdlLocation) {
        super(wsdlLocation, SI01CORELEGADOSREQSYNCOUTSERVICE_QNAME);
    }

    public SI01CORELegadosReqSyncOutService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SI01CORELEGADOSREQSYNCOUTSERVICE_QNAME, features);
    }

    public SI01CORELegadosReqSyncOutService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public SI01CORELegadosReqSyncOutService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     *
     * @return
     *     returns SI01CORELegadosReqSyncOut
     */
    @WebEndpoint(name = SERVICE_GPV_PORT_HTTP)
    public SI01CORELegadosReqSyncOutType getHTTPPort() {
        return super.getPort(new QName(WS_NAMESPACE_GPV, SERVICE_GPV_PORT_HTTP), SI01CORELegadosReqSyncOutType.class);
    }

    /**
     *
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SI01CORELegadosReqSyncOut
     */
    @WebEndpoint(name = SERVICE_GPV_PORT_HTTP)
    public SI01CORELegadosReqSyncOutType getHTTPPort(WebServiceFeature... features) {
        return super.getPort(new QName(WS_NAMESPACE_GPV, SERVICE_GPV_PORT_HTTP), SI01CORELegadosReqSyncOutType.class, features);
    }

    /**
     *
     * @return
     *     returns SI01CORELegadosReqSyncOut
     */
    @WebEndpoint(name = SERVICE_GPV_PORT_HTTPS)
    public SI01CORELegadosReqSyncOutType getHTTPSPort() {
        return super.getPort(new QName(WS_NAMESPACE_GPV, SERVICE_GPV_PORT_HTTPS), SI01CORELegadosReqSyncOutType.class);
    }

    /**
     *
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SI01CORELegadosReqSyncOut
     */
    @WebEndpoint(name = SERVICE_GPV_PORT_HTTPS)
    public SI01CORELegadosReqSyncOutType getHTTPSPort(WebServiceFeature... features) {
        return super.getPort(new QName(WS_NAMESPACE_GPV, SERVICE_GPV_PORT_HTTPS), SI01CORELegadosReqSyncOutType.class, features);
    }

    private static URL __getWsdlLocation() {
        if (SI01CORELEGADOSREQSYNCOUTSERVICE_EXCEPTION!= null) {
            throw SI01CORELEGADOSREQSYNCOUTSERVICE_EXCEPTION;
        }
        return SI01CORELEGADOSREQSYNCOUTSERVICE_WSDL_LOCATION;
    }

}
